VERSION 5.00
Begin VB.Form frmNtFileCompress 
   Caption         =   "Form1"
   ClientHeight    =   4380
   ClientLeft      =   1320
   ClientTop       =   2340
   ClientWidth     =   7365
   LinkTopic       =   "Form1"
   ScaleHeight     =   4380
   ScaleWidth      =   7365
   Begin VB.CommandButton cmdEdit 
      Cancel          =   -1  'True
      Caption         =   "Exit"
      Height          =   405
      Left            =   6060
      TabIndex        =   4
      Top             =   3840
      Width           =   1245
   End
   Begin VB.CommandButton cmdCompress 
      Caption         =   "&Compress"
      Height          =   405
      Left            =   3450
      TabIndex        =   3
      Top             =   3840
      Width           =   1245
   End
   Begin VB.FileListBox File1 
      Height          =   3600
      Left            =   3960
      TabIndex        =   2
      Top             =   90
      Width           =   3375
   End
   Begin VB.DirListBox Dir1 
      Height          =   3240
      Left            =   120
      TabIndex        =   1
      Top             =   450
      Width           =   3795
   End
   Begin VB.DriveListBox Drive1 
      Height          =   315
      Left            =   120
      TabIndex        =   0
      Top             =   90
      Width           =   3795
   End
End
Attribute VB_Name = "frmNtFileCompress"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private m_strFullPath                  As String
Private m_blnIsCompressed              As Boolean
Private m_objFileCompress              As NtFileCompress.clsNtCompress

Private Sub cmdCompress_Click()
   Dim p_blnIsCompressed               As Boolean
   
   ' If you have Windows Explorer (or the
   '     command prompt) open, and you
   '     try to compress or decompress the
   '     directory that it's pointing to,
   '     you will probably get an error #32:
   ' "The process cannot access the file because
   '  it is being used by another process."
   
   m_objFileCompress.SetCompression xi_blnIsCompressed:=m_blnIsCompressed, _
                                    xi_strFileName:=m_strFullPath

   CheckCompress

End Sub

Private Sub cmdEdit_Click()
   Unload Me
End Sub

Private Sub Drive1_Change()
   Me.Dir1.Path = Me.Drive1.Drive
End Sub

Private Sub Dir1_Change()
   Me.File1.Path = Me.Dir1.Path
   
   m_strFullPath = Me.Dir1.Path
   CheckCompress
End Sub

Private Sub File1_Click()
   
   m_strFullPath = Me.File1.Path
   
   If Right$(m_strFullPath, 1) <> "\" Then
      m_strFullPath = m_strFullPath & "\"
   End If
   
   m_strFullPath = m_strFullPath & Me.File1.FileName
   
   CheckCompress
   
End Sub

Private Sub CheckCompress()
   Dim p_blnIsNtfs                     As Boolean
   
   p_blnIsNtfs = m_objFileCompress.IsNTFS(xi_strFilePath:=m_strFullPath)
   
   If p_blnIsNtfs = False Then
      Me.cmdCompress.Enabled = False
      Me.cmdCompress.Caption = "N/A"
      Exit Sub
   Else
      Me.cmdCompress.Enabled = True
   End If
   
   If m_objFileCompress.IsCompressed(xi_strFullPath:=m_strFullPath) = False Then
      Me.cmdCompress.Caption = "&Compress"
      m_blnIsCompressed = False
   Else
      Me.cmdCompress.Caption = "De&compress"
      m_blnIsCompressed = True
   End If
   
End Sub

Private Sub Form_Load()
   Set m_objFileCompress = New NtFileCompress.clsNtCompress
End Sub

Private Sub Form_Unload(Cancel As Integer)
   Set m_objFileCompress = Nothing
End Sub
